Skip to main content

Network

View as Markdown

Network object

network_idstring

The <Databricks> network configuration ID.

account_idstring

The <Databricks> account ID associated with this network configuration.

workspace_idint64

Workspace ID associated with this network configuration.

Example: 1614665312930232

vpc_idstring

The ID of the VPC associated with this network configuration. VPC IDs can be used in multiple networks.

subnet_idsarray of string

IDs of at least two subnets associated with this network. Subnet IDs cannot be used in multiple network configurations.

security_group_idsarray of string

IDs of one to five security groups associated with this network. Security group IDs cannot be used in multiple network configurations.

Constraints: [ 1 .. 5 ] characters

vpc_statusstring

Values: VALID, BROKEN, UNATTACHED, WARNED

error_messagesarray of object

Array of error messages about the network configuration.

Show child attributesHide child attributes
error_typestring
error_messagestring

Details of the error.

network_namestring

The human-readable name of the network configuration.

Constraints: [ 4 .. 256 ] characters

creation_timeint64

Time in epoch milliseconds when the network was created.

warning_messagesarray of object

Array of warning messages about the network configuration.

Show child attributesHide child attributes
warning_typestring
warning_messagestring

Details of the warning.

vpc_endpointsobject
Show child attributesHide child attributes
rest_apiarray of string

The VPC endpoint ID used by this network to access the Databricks REST API.

dataplane_relayarray of string

The VPC endpoint ID used by this network to access the <Databricks> secure cluster connectivity relay.

gcp_network_infoobject
Show child attributesHide child attributes
network_project_idstring

The GCP project ID for network resources. This project is where the VPC and subnet resides.

Example: my-gcp-project-123

vpc_idstring

The customer-provided VPC ID.

Example: my-vpc-123

subnet_idstring

The customer-provided Subnet ID that will be available to Clusters in Workspaces using this Network.

Example: my-subnet-123

subnet_regionstring

Example: us-east4

pod_ip_range_namestring

Name of the secondary range within the subnet that will be used by GKE as Pod IP range. This is BYO VPC specific. DB VPC uses network.getGcpManagedNetworkConfig.getGkeClusterPodIpRange

Example: my-pod-ip-range-123

service_ip_range_namestring

Name of the secondary range within the subnet that will be used by GKE as Service IP range.

Example: my-service-ip-range-123

Get GA

GET /api/2.0/accounts/{account_id}/networks/{network_id}

Gets a <Databricks> network configuration, which represents a cloud VPC and its resources.

API scopes: networking

CloudsAWSGCP

Parameters

network_idstringpath

Databricks Account API network configuration ID.

account_idstringpath

Response

Returns the Network object.

Create GA

POST /api/2.0/accounts/{account_id}/networks

Creates a <Databricks> network configuration that represents an VPC and its resources. The VPC will be used for new <Databricks> clusters. This requires a pre-existing VPC and subnets.

API scopes: networking

CloudsAWSGCP

Parameters

account_idstringpath

Request body

network_namestring

The human-readable name of the network configuration.

Constraints: [ 4 .. 256 ] characters

vpc_idstring

The ID of the VPC associated with this network configuration. VPC IDs can be used in multiple networks.

subnet_idsarray of string

IDs of at least two subnets associated with this network. Subnet IDs cannot be used in multiple network configurations.

security_group_idsarray of string

IDs of one to five security groups associated with this network. Security group IDs cannot be used in multiple network configurations.

Constraints: [ 1 .. 5 ] characters

vpc_endpointsobject
Show child attributesHide child attributes
rest_apiarray of string

The VPC endpoint ID used by this network to access the Databricks REST API.

dataplane_relayarray of string

The VPC endpoint ID used by this network to access the <Databricks> secure cluster connectivity relay.

gcp_network_infoobject
Show child attributesHide child attributes
network_project_idstring

The GCP project ID for network resources. This project is where the VPC and subnet resides.

Example: my-gcp-project-123

vpc_idstring

The customer-provided VPC ID.

Example: my-vpc-123

subnet_idstring

The customer-provided Subnet ID that will be available to Clusters in Workspaces using this Network.

Example: my-subnet-123

subnet_regionstring

Example: us-east4

pod_ip_range_namestring

Name of the secondary range within the subnet that will be used by GKE as Pod IP range. This is BYO VPC specific. DB VPC uses network.getGcpManagedNetworkConfig.getGkeClusterPodIpRange

Example: my-pod-ip-range-123

service_ip_range_namestring

Name of the secondary range within the subnet that will be used by GKE as Service IP range.

Example: my-service-ip-range-123

Response

Returns the Network object.

Delete GA

DELETE /api/2.0/accounts/{account_id}/networks/{network_id}

Deletes a <Databricks> network configuration, which represents a cloud VPC and its resources. You cannot delete a network that is associated with a workspace.

This operation is available only if your account is on the E2 version of the platform.

API scopes: networking

CloudsAWSGCP

Parameters

network_idstringpath

Databricks Account API network configuration ID.

account_idstringpath

Response

Returns the Network object.